## gita 0.12.9

=== Makefile ===
.PHONY: dist test install clean twine

install:
	pip3 install -e .
test: clean
	pytest tests --cov=./gita $(TEST_ARGS) -n=auto
dist: clean
	python3 setup.py sdist
twine:
	twine upload dist/*
clean:
	git clean -fdx

=== requirements.txt ===
pytest>=6.1.2
pytest-cov>=2.6.1
pytest-xdist>=2.1.0
setuptools>=40.6.3
twine>=1.12.1
pyyaml>=5.1

=== debian/changelog ===
gita (0.12.9-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 0.12.9.
  * Updating to standards version 4.5.1.
  * Updating years in copyright file for 2021.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 25 Jan 2021 13:58:15 +0100

gita (0.11.9-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 0.11.9-1.
  * Adding missing build-depends to python3-yaml,
    thanks to Chris Lamb <lamby@debian.org> (Closes: #972493).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 02 Nov 2020 16:59:19 +0100

gita (0.10.10-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 0.10.10.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 02 Sep 2020 20:11:17 +0200

gita (0.10.9-1) sid; urgency=medium

  * Initial upload to sid (Closes: #968651).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 18 Aug 2020 22:24:26 +0200

=== debian/control ===
Source: gita
Section: utils
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 help2man,
 python3-all,
 python3-setuptools,
 python3-yaml,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://github.com/nosarthur/gita
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/gita
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/gita

Package: gita
Section: utils
Architecture: all
Depends:
 git,
 ${misc:Depends},
 ${python3:Depends},
Description: Manage many git repos
 Gita is a command-line tool to manage multiple git repos:
 .
   * display the status of multiple Git repos such as branch, modification,
     commit message side by side
   * (batch) delegate git commands/aliases from any working directory
 .
 If several repos are related, Gita helps to see their status together too.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --buildsystem=pybuild --with python3

execute_after_dh_auto_install:
	# bash-completion
	mkdir -p debian/gita/usr/share/bash-completion/completions
	cp .gita-completion.bash debian/gita/usr/share/bash-completion/completions/gita

	# manpage
	mkdir -p debian/gita/usr/share/man/man1
	PYTHONPATH=debian/gita/usr/lib/$$(py3versions -d)/dist-packages \
		help2man --no-discard-stderr --name 'Manage many git repos' \
		debian/gita/usr/bin/gita > debian/gita/usr/share/man/man1/gita.1

override_dh_auto_test:
	# disabled

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/gita-$1\.tar\.gz/ \
https://github.com/nosarthur/gita/releases .*/v?(\d\S+)\.tar\.gz

## gita 0.16.2

=== Makefile ===
--- 
+++ 
@@ -2,9 +2,9 @@
 
 install:
 	pip3 install -e .
-test: clean
+test:
 	pytest tests --cov=./gita $(TEST_ARGS) -n=auto
-dist: clean
+dist:
 	python3 setup.py sdist
 twine:
 	twine upload dist/*

=== debian/changelog ===
gita (0.16.2-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 0.16.2.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 30 Jan 2022 11:51:16 +0100

gita (0.16.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 0.16.1.
  * Updating copyright for 2022.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 09 Jan 2022 08:44:32 +0100

gita (0.15.9-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 0.15.9.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 02 Nov 2021 18:50:28 +0100

gita (0.15.8-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 0.15.8.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 18 Sep 2021 19:26:59 +0200

gita (0.15.7-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 0.15.7.
  * Updating to standards version 4.6.0.
  * Removing generated help2man manpge, the output is not good enough
    (Closes: #992197).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 06 Sep 2021 06:06:39 +0200

gita (0.15.2-2) sid; urgency=medium

  * Uploading to sid.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 15 Aug 2021 17:35:15 +0200

gita (0.15.2-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 0.15.2.
  * Updating watch file.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 02 Aug 2021 06:36:39 +0200

gita (0.15.1-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 0.15.1.
  * Updating python debhelper sequence.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 17 Jul 2021 09:26:46 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,12 @@
 Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
- help2man,
+ dh-sequence-python3,
  python3-all,
  python3-setuptools,
  python3-yaml,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/nosarthur/gita
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/gita
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/gita

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --buildsystem=pybuild

execute_after_dh_auto_install:
	# bash-completion
	mkdir -p debian/gita/usr/share/bash-completion/completions
	cp .gita-completion.bash debian/gita/usr/share/bash-completion/completions/gita

override_dh_auto_test:
	# disabled

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/gita-$1\.tar\.gz/ \
https://github.com/nosarthur/gita/tags .*/v?(\d\S+)\.tar\.gz

## gita 0.16.6.1

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 install:
 	pip3 install -e .
 test:
-	pytest tests --cov=./gita $(TEST_ARGS) -n=auto
+	pytest tests --cov=./gita $(TEST_ARGS) -n=auto -vv
 dist:
 	python3 setup.py sdist
 twine:

=== debian/changelog ===
gita (0.16.6.1-2) sid; urgency=medium

  * Uploading to sid.
  * Manually removing some files that pybuild doesn't clean up during
    build (Closes: #1044761).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 14 Aug 2023 11:18:16 +0200

gita (0.16.6.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 0.16.6.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 18 Jul 2023 12:49:30 +0200

gita (0.16.5-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 0.16.5.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 16 Jul 2023 07:43:10 +0200

gita (0.16.4-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 0.16.4.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 13 Jul 2023 07:38:04 +0200

gita (0.16.3-2) sid; urgency=medium

  * Uploading to sid.
  * Uploading without changes after bookworm release.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 11 Jun 2023 14:12:37 +0200

gita (0.16.3-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 0.16.3.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 03 May 2023 11:16:43 +0200

gita (0.16.2-2) sid; urgency=medium

  * Uploading to sid.
  * Updating to standards version 4.6.2.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 30 Jan 2023 17:12:01 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python3-setuptools,
  python3-yaml,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/nosarthur/gita
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/gita
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/gita

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,10 @@
 
 %:
 	dh ${@} --buildsystem=pybuild
+
+execute_after_dh_auto_clean:
+	# help pybuild
+	rm -rf *.egg-info
 
 execute_after_dh_auto_install:
 	# bash-completion

## gita 0.16.7.2

=== Makefile ===
.PHONY: dist test install clean twine auto-completion

install:
	pip3 install -e .
test:
	pytest tests --cov=./gita $(TEST_ARGS) -n=auto -vv
dist:
	python3 setup.py sdist
twine:
	twine upload dist/*
clean:
	git clean -fdx
auto-completion:
	@ mkdir -p auto-completion/bash
	@ mkdir -p auto-completion/zsh
	@ mkdir -p auto-completion/fish
	register-python-argcomplete gita -s bash > auto-completion/bash/.gita-completion.bash
	register-python-argcomplete gita -s zsh > auto-completion/zsh/_gita
	register-python-argcomplete gita -s fish > auto-completion/fish/gita.fish

=== debian/changelog ===
gita (0.16.7.2-4) sid; urgency=medium

  * Simplifying watch file.
  * Generating bash-completion during build.

 -- Daniel Baumann <daniel@debian.org>  Fri, 02 May 2025 07:43:34 +0200

gita (0.16.7.2-3) sid; urgency=medium

  * Updating to standards version 4.7.1.
  * Updating to standards version 4.7.2.

 -- Daniel Baumann <daniel@debian.org>  Wed, 19 Mar 2025 20:31:27 +0100

gita (0.16.7.2-2) sid; urgency=medium

  * Updating source url in copyright.
  * Updating vcs fields.
  * Trimming debian changelog.
  * Updating my email address.
  * Updating year in debian copyright for 2025.

 -- Daniel Baumann <daniel@debian.org>  Tue, 11 Feb 2025 19:02:39 +0100

gita (0.16.7.2-1) sid; urgency=medium

  * Merging upstream version 0.16.7.2.
  * Updating copyright for 2024.
  * Updating to standards-version 4.7.0.
  * Updating path of bash-completion file in source tree for new gita
    upstream version.

 -- Daniel Baumann <daniel@debian.org>  Mon, 17 Jun 2024 11:07:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: gita
 Section: utils
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
+Maintainer: Daniel Baumann <daniel@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  python3-all,
+ python3-argcomplete,
  python3-setuptools,
  python3-yaml,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/nosarthur/gita
-Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/gita
-Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/gita
+Vcs-Browser: https://forgejo.debian.net/git/gita
+Vcs-Git: https://forgejo.debian.net/git/gita
 
 Package: gita
 Section: utils

=== debian/watch ===
version=4
https://github.com/nosarthur/gita/tags .*/v?(\d.*)@ARCHIVE_EXT@

## gita 0.16.7.3

=== debian/changelog ===
gita (0.16.7.3-1) sid; urgency=medium

  * Harmonizing upstream urls.
  * Adding upstream metadata.
  * Removing rules-requires-root, not needed anymore.
  * Merging upstream version 0.16.7.3.
  * Updating watch file to version 5.

 -- Daniel Baumann <daniel@debian.org>  Sun, 28 Sep 2025 17:52:02 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
  python3-argcomplete,
  python3-setuptools,
  python3-yaml,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/nosarthur/gita
 Vcs-Browser: https://forgejo.debian.net/git/gita

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --buildsystem=pybuild

execute_after_dh_auto_clean:
	# help pybuild
	rm -rf *.egg-info

execute_after_dh_auto_install:
	# bash-completion
	mkdir -p debian/gita/usr/share/bash-completion/completions

	for COMMAND in debian/gita/usr/bin/*; \
	do \
		register-python-argcomplete $${COMMAND} | \
		sed -e 's|debian/gita/usr/bin/||g' > \
		debian/gita/usr/share/bash-completion/completions/$$(basename $${COMMAND}); \
	done

override_dh_auto_test:
	# disabled

=== debian/watch ===
Version: 5

Template: Github
Owner: nosarthur
Project: @PACKAGE@

## gita 0.16.8

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 install:
 	pip3 install -e .
+uninstall:
+	pip3 uninstall -e .
 test:
 	pytest tests --cov=./gita $(TEST_ARGS) -n=auto -vv
 dist:

=== requirements.txt ===
pytest>=6.1.2
pytest-cov>=2.6.1
pytest-xdist>=2.1.0
setuptools>=40.6.3
twine>=1.12.1

=== debian/changelog ===
gita (0.16.8-1) sid; urgency=medium

  * Merging upstream version 0.16.8.

 -- Daniel Baumann <daniel@debian.org>  Sat, 08 Nov 2025 09:34:23 +0100

## gita 0.16.8.2

=== debian/changelog ===
gita (0.16.8.2-1) sid; urgency=medium

  * Merging upstream version 0.16.8.2.

 -- Daniel Baumann <daniel@debian.org>  Fri, 21 Nov 2025 18:35:04 +0100
